package com.ruoyi.system.model;

import java.io.Serializable;

/**
 * @Author jiuli
 * @Date 2024/1/16
 */
public class CurrencyModel implements Serializable {
    //币种ID
    private String id;
    //币种简称
    private String code;
    //币种简称
    private String name;
    //金额精度
    private Integer moneydigit;
    //金额进位方式（0-全部进位，1-全部舍位，4-四舍五入）
    private Integer moneyrount;
    //单价精度
    private Integer pricedigit;
    //单价进位方式（0-全部进位，1-全部舍位，4-四舍五入）
    private Integer pricerount;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getMoneydigit() {
        return moneydigit;
    }

    public void setMoneydigit(Integer moneydigit) {
        this.moneydigit = moneydigit;
    }

    public Integer getMoneyrount() {
        return moneyrount;
    }

    public void setMoneyrount(Integer moneyrount) {
        this.moneyrount = moneyrount;
    }

    public Integer getPricedigit() {
        return pricedigit;
    }

    public void setPricedigit(Integer pricedigit) {
        this.pricedigit = pricedigit;
    }

    public Integer getPricerount() {
        return pricerount;
    }

    public void setPricerount(Integer pricerount) {
        this.pricerount = pricerount;
    }
}
